curl --request GET \
--url https://api.scalev.com/v3/stores/{store_id}/customers/me/addresses \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"location": {
"id": 123,
"subdistrict_name": "<string>",
"city_name": "<string>",
"province_name": "<string>"
},
"address": "<string>",
"postal_code": "<string>",
"notes": "<string>"
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Customer-authenticated storefront endpoint.
curl --request GET \
--url https://api.scalev.com/v3/stores/{store_id}/customers/me/addresses \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"location": {
"id": 123,
"subdistrict_name": "<string>",
"city_name": "<string>",
"province_name": "<string>"
},
"address": "<string>",
"postal_code": "<string>",
"notes": "<string>"
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Store unique_id.